# List Inbound Transfers Retrieves a list of InboundTransfers. ## Parameters - `created` (timestamp, optional) Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gt` (timestamp, optional) Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gte` (timestamp, optional) Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lt` (timestamp, optional) Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lte` (timestamp, optional) Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `limit` (integer, optional) The page limit. - `page` (string, optional) The page token. ## Returns ## Response attributes - `data` (array of objects) The list of retrieved InboundTransfers. - `data.id` (string) Unique identifier for the InboundTransfer. - `data.object` (string, value is "v2.money_management.inbound_transfer") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.amount` (object) The amount in specified currency that will land in the FinancialAccount balance. - `data.amount.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `data.amount.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `data.created` (timestamp) Creation time of the InboundTransfer. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.description` (string) A freeform text field provided by user, containing metadata. - `data.from` (object) A nested object containing information about the origin of the InboundTransfer. - `data.from.debited` (object) The amount in specified currency that was debited from the Payment Method. - `data.from.debited.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `data.from.debited.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `data.from.payment_method` (object) The Payment Method object used to create the InboundTransfer. - `data.from.payment_method.type` (string) The type of object this destination represents. For a us bank account, we expect us_bank_account. - `data.from.payment_method.us_bank_account` (string, nullable) The destination US bank account identifier. eg “usba_***”. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.receipt_url` (string, nullable) A hosted transaction receipt URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses. - `data.to` (object) A nested object containing information about the destination of the InboundTransfer. - `data.to.credited` (object) The amount by which the FinancialAccount balance is credited. - `data.to.credited.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `data.to.credited.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `data.to.financial_account` (string) The FinancialAccount that funds will land in. - `data.transfer_history` (array of objects) A list of history objects, representing changes in the state of the InboundTransfer. - `data.transfer_history.id` (string) A unique ID for the HistoryEntry. - `data.transfer_history.bank_debit_failed` (object, nullable) The history entry for a failed InboundTransfer. - `data.transfer_history.bank_debit_failed.failure_reason` (enum) The return reason for the failed InboundTransfer. Possible enum values: - `bank_account_closed` The Failure Reason when the user’s external Bank Account is closed. - `bank_account_not_found` The Failure Reason when the user’s Bank Account is not found. - `bank_debit_could_not_be_processed` The Failure Reason when the debit cannot be processed for any other reason. - `bank_debit_not_authorized` The Failure Reason when the user hasn’t authorized the debit with their bank. - `insufficient_funds` The Failure Reason when there aren’t sufficient funds in the user’s bank account. - `data.transfer_history.bank_debit_processing` (object, nullable) The history entry for a processing InboundTransfer. - `data.transfer_history.bank_debit_queued` (object, nullable) The history entry for a queued InboundTransfer. - `data.transfer_history.bank_debit_returned` (object, nullable) The history entry for a returned InboundTransfer. - `data.transfer_history.bank_debit_returned.return_reason` (enum) The return reason for the returned InboundTransfer. Possible enum values: - `bank_account_closed` The Failure Reason when the user’s external Bank Account is closed. - `bank_account_not_found` The Failure Reason when the user’s Bank Account is not found. - `bank_debit_could_not_be_processed` The Failure Reason when the debit cannot be processed for any other reason. - `bank_debit_not_authorized` The Failure Reason when the user hasn’t authorized the debit with their bank. - `insufficient_funds` The Failure Reason when there aren’t sufficient funds in the user’s bank account. - `data.transfer_history.bank_debit_succeeded` (object, nullable) The history entry for a succeeded InboundTransfer. - `data.transfer_history.created` (timestamp) Creation time of the HistoryEntry in RFC 3339 format and UTC. - `data.transfer_history.effective_at` (timestamp) Effective at time of the HistoryEntry in RFC 3339 format and UTC. - `data.transfer_history.level` (enum) The Level of the HistoryEntry. Possible enum values: - `canonical` History events that are canonical. - `debug` History events that are meant to provide additional information for debugging. - `data.transfer_history.type` (enum) The type of the HistoryEntry. Possible enum values: - `bank_debit_failed` History Entry type for an InboundTransfer that has failed. - `bank_debit_processing` History Entry type for an InboundTransfer that is processing. - `bank_debit_queued` History Entry type for a queued InboundTransfer. - `bank_debit_returned` History Entry type for an InboundTransfer that has returned, after initially being successful. - `bank_debit_succeeded` History Entry type for an InboundTransfer that has succeeded. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------- | -------------------------- | | 404 | not_found | The resource wasn’t found. | ```curl curl -G https://api.stripe.com/v2/money_management/inbound_transfers \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" \ -d limit=10 ``` ### Response ```json { "data": [ { "id": "ibt_test_61Ptdb61ySxOc4VMe16Nr2cJ8cSQabKn4q38nZ59EFcu", "object": "v2.money_management.inbound_transfer", "amount": { "value": 101, "currency": "usd" }, "created": "2024-02-16T00:50:56.154471Z", "description": "", "from": { "debited": { "value": 101, "currency": "usd" }, "payment_method": { "type": "payment_methods.us_bank_account", "us_bank_account": "usba_test_61P22mHGGhTkqVEx416Nr2cJ8cSQabKn4q38nZ59E7ea" } }, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk5yMmNKOGNTUWFiS240cTM4blo1OUUol4nirwYyBi-u70wgczpGlOv1PxesNa_x3-CmgvINy-9SzW6t1qMJGYUWQroQuUT_snt4LMqOIkQvte7D5iA0Qw-WRpFG8guSrfoma4148OeCAkNfzA", "to": { "credited": { "value": 101, "currency": "usd" }, "financial_account": "fa_test_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y" }, "transfer_history": [ { "id": "ibthe_test_61Ptdb6GDbDR56tXt16Nr2cJ8cSQabKn4q38nZ59ERvE", "bank_debit_queued": {}, "created": "2024-02-16T00:50:56.152Z", "effective_at": "2024-02-16T00:50:56.152Z", "level": "canonical", "type": "bank_debit_queued" }, { "id": "ibthe_test_61PtdbBmQQgOkrPbe16Nr2cJ8cSQabKn4q38nZ59EPuS", "bank_debit_processing": {}, "created": "2024-02-16T00:51:01.925Z", "effective_at": "2024-02-16T00:51:01.925Z", "level": "canonical", "type": "bank_debit_processing" }, { "id": "ibthe_test_61PtdbG9ChR1FDFwE16Nr2cJ8cSQabKn4q38nZ59EF9k", "bank_debit_succeeded": {}, "created": "2024-02-16T00:51:06.618Z", "effective_at": "2024-02-16T00:51:06.618Z", "level": "canonical", "type": "bank_debit_succeeded" } ], "livemode": true }, { "id": "ibt_test_61PtdOWOXFYYaDZpW16Nr2cJ8cSQabKn4q38nZ59E8kK", "object": "v2.money_management.inbound_transfer", "amount": { "value": 101, "currency": "usd" }, "created": "2024-02-16T00:37:56.172040Z", "description": "", "from": { "debited": { "value": 101, "currency": "usd" }, "payment_method": { "type": "payment_methods.us_bank_account", "us_bank_account": "usba_test_61P22mHGGhTkqVEx416Nr2cJ8cSQabKn4q38nZ59E7ea" } }, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk5yMmNKOGNTUWFiS240cTM4blo1OUUol4nirwYyBn-td8zMvTpGlJJ6_jW5z0Py6wXu2fI_jabxid1HroW6SuJy8uZDBuDXWQ-KhDLUiZUWOj_70AmiU2f06Lv6X1nWoe1b0XKsoJ5qftnenw", "to": { "credited": { "value": 101, "currency": "usd" }, "financial_account": "fa_test_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y" }, "transfer_history": [ { "id": "ibthe_test_61PtdOWQxDcYFqYsT16Nr2cJ8cSQabKn4q38nZ59ELZg", "bank_debit_queued": {}, "created": "2024-02-16T00:37:56.170Z", "effective_at": "2024-02-16T00:37:56.170Z", "level": "canonical", "type": "bank_debit_queued" }, { "id": "ibthe_test_61PtdOc8HI8HBvaLd16Nr2cJ8cSQabKn4q38nZ59EG3E", "bank_debit_processing": {}, "created": "2024-02-16T00:38:02.143Z", "effective_at": "2024-02-16T00:38:02.143Z", "level": "canonical", "type": "bank_debit_processing" }, { "id": "ibthe_test_61PtdOgzFEOhgtcUu16Nr2cJ8cSQabKn4q38nZ59EWw4", "bank_debit_succeeded": {}, "created": "2024-02-16T00:38:06.724Z", "effective_at": "2024-02-16T00:38:06.724Z", "level": "canonical", "type": "bank_debit_succeeded" } ], "livemode": true } ], "next_page_url": "0X41472HF7187kV7kb7gi6L83Hc7UP3Xl5o57k34gS6oy3bl3HC5Du3M34wS6c75Q16Xr7L27XP3l060T3oT3TY5Gs2wX3cf7wD3cV3Pv7t23ob3HD5sD5Lg3193kn4tF7bp85D3cl5Y16Lc4l57g16sM5wX44e0Tq1oI3D03TR3D030a3YC3LF3sL3Te3Tb34m3LI3Xi3De", "previous_page_url": "0X31472HF7187kV7kb7gi6L83Hc7ka6XW3IH5Ye5Hn3U659Z3HC5Du3M34wS6c75Q16Xr7L27XP3l060T3oT4gd7nm2wX3cf7wD3cV3Pv7t23ob3HD5sD5Lg3193kn4tF7bp85D3cl5Y16Lc4l57g16sM5wX44e0Tq1oI3D03TR3D030b3cK3Cy3sL3D83Xi34j3Xg3Tb3Hm" } ```